%h3.page-title
  = t("profiles.groups.group_membership")
  - if current_user.can_create_group?
    %span.pull-right
      = link_to new_group_path, class: "btn btn-new" do
        %i.icon-plus
        = t("profiles.groups.new_group")
%p.light
  = t("profiles.groups.group_members_access")
%hr
.panel.panel-default
  .panel-heading
    %strong
      = t("profiles.groups.groups")
    (#{@user_groups.count})
  %ul.well-list
    - @user_groups.each do |user_group|
      - group = user_group.group
      %li
        .pull-right
          - if can?(current_user, :manage_group, group)
            = link_to edit_group_path(group), class: "btn-small btn btn-grouped" do
              %i.icon-cogs
              = t("profiles.groups.settings")

          - if can?(current_user, :destroy, user_group)
            = link_to leave_profile_group_path(group), data: { confirm: leave_group_message(group.name) }, method: :delete, class: "btn-small btn btn-grouped", title: t("profiles.groups.remove_user_from_group") do
              %i.icon-signout
              = t("profiles.groups.leave")

        = link_to group, class: 'group-name' do
          %strong= group.name

        = t("profiles.groups.as")
        %strong #{user_group.human_access}

        %div.light
          #{t("profiles.groups.g_project", count: group.projects.count)}, #{t("profiles.groups.g_user", count: group.users.count)}

= paginate @user_groups
